# lcfm-shapefiles

Python wrapper around shapefiles used for the LCFM project.

## Installation

```
pip install --index https://artifactory.vgt.vito.be/artifactory/api/pypi/python-packages/simple lcfm-shapefiles --upgrade
```

## Usage

```python
import lcfm_shapefiles import list_filepaths, get_filepath
import geopandas as gpd

# List out all available files; you can index this list to get a path
lcfm_shapefiles.list_filepaths()

# Get path a specific file
fp = lcfm_shapefiles.get_filepath("LCFM_1p_S2-tiles.fgb")

# Import fgb into a geopandas data frame
gdf = gpd.read_file(fp)
```

## Local development

```
uv sync
uv build
uv publish
```
